function euler01_demo(h)
% Initialization step
% h = 0.2; 

t=0:0.05:3;
x = -1 - t + 2 * exp(t);           % The exact solution
[s  y] = eul ('ypt', 0, 3, 1, h);  % The approximate solution
plot(t, x, s, y, 'o')              % Plot both
z = -1 - s + 2 * exp(s);           % The exact solution at the s points
maxerror = max(abs(z-y))           % The biggest error
